// INexosManager.aidl
package android.aidl.nexos;

import android.aidl.nexos.INexosClient;
import android.aidl.nexos.telephony.ITelephonyService;
import android.aidl.nexos.media.IMediaService;
import android.aidl.nexos.audio.IAudioManagerService;
import android.aidl.nexos.location.IGeoLocationService;

import nexos.utils.ClientVersion;

interface INexosManager {

    INexosClient getNexosClientById(String clientId);

    INexosClient getCurrentNexosClient();

    String getCurrentNexosClientId();

    String[] getNexosClientIds();

    int getNexosClientListSize();

    INexosClient addNexosClient(String clientId, String phoneNumber);

    boolean setCurrentNexosClient(String clientId);

    void removeNexosClient(String clientId);

    List<String> getMdns();

    void setConfig(String key, String val);

    String getConfig(String key);

    int getIntConfig(String key, int defaultValue);

    String getSDKVersion();

    int getCurrentStackMobileTechnology();

    boolean isLocalUserUri(String uri);

    String[] getLocalUserUris(String nexosClientId);

    String formatUriFromPhoneNumber(String nexosClientId, String phoneNumber);

    String getSettings(String name);

    ClientVersion getClientVersion();

    void startPcapTrace(boolean cleanAll);

    void startCapture(boolean cleanAll);

    void stopPcapTrace();

    void stopCapture();

    String getTraceLogsFilepath();

    String getClientLogsFilepath();

    void refreshNetworkConnectionState(int subType);

    ITelephonyService getTelephonyService();

    IMediaService getMediaService();

    IAudioManagerService getAudioManagerService();

    IGeoLocationService getGeoLocationService();
}
