// My AIDL file, named SomeClass.aidl
// Note that standard comment syntax is respected.
// Comments before the import or package statements are not bubbled up
// to the generated interface, but comments above interface/method/field
// declarations are added to the generated interface.

// Include your fully-qualified package statement.
package android.aidl.nexos;

import android.aidl.nexos.INexosManager;
import android.aidl.nexos.INexosServiceListener;
import nexos.utils.ClientVersion;
import nexos.service.StartupStatus;
import nexos.service.ProvisioningStatus;
import nexos.service.RegistrationStatus;

// Declare the interface.
interface INexosService {

	int getServiceState();
		
	INexosManager getNexosManager();
	
	void setListener(INexosServiceListener listener);

	int getServiceFault(String nexosClientId);

	String getServiceFaultInfo(String nexosClientId);

	boolean isAnyClientProvisioned();

    boolean isAnyClientRegistered();

	boolean isProvisioned(String nexosClientId);
	
	boolean isRegistered(String nexosClientId);

	boolean isServiceBound();

	boolean isServiceReady();
	
	ClientVersion getClientVersion();

	void retryStartup();

	void retryProvisioning(String nexosClientId, String userPin);
	
	void retryProvisioningWithPinForgotten(String nexosClientId);
	
	void retryRegistration();

	boolean triggerRegistration();

	boolean triggerUnregistration();
	
	void retryProvisioningWithCredentials(String nexosClientId, String username, String password, String phone);

	void startAppForeground(int notificationId, in Notification notif);

	void stopAppForeground();

	boolean isServiceForeground();

	void restartProvisioningAfterDeprovision(String nexosClientId);

	StartupStatus getStartupStatus();

	ProvisioningStatus getProvisioningStatus(String nexosClientId);

	RegistrationStatus getRegistrationStatus(String nexosClientId);
}