
// Include your fully-qualified package statement.
package android.aidl.nexos.chat;

import android.aidl.nexos.chat.IIsComposingListener;
import android.aidl.nexos.chat.IMessagingListener;

interface IChatService {

	void addIsComposingListener(in IIsComposingListener listener);

	void removeIsComposingListener(in IIsComposingListener listener);

	void addMessagingListener(in IMessagingListener listener);

    void removeMessagingListener(in IMessagingListener listener);

	String sendMessage(long conversationId, String message);

	String sendLargeModeFile(long conversationId, String filepath);

	void setLocalIsComposing(String remoteUri, boolean isComposing);

	boolean isComposing(long conversationId);

	boolean isLocallyComposing(String remoteUri);
	
	int markMessageAsDisplayed(String msgId);

	int markConversationAsDisplayed(long conversationId);
	
	void disconnectChatSession(String remoteUri);
	
	void reconnectChatSession(String remoteUri);
	
	String[] getBlockedList();

	void addBlockedUri(String uri);

	void removeBlockedUri(String uri);

	boolean isBlockedUri(String uri);

	boolean retrySending(String msgId);
}