
// Include your fully-qualified package statement.
package android.aidl.nexos.chat;

import android.aidl.nexos.chat.IGroupChatListener;
import android.aidl.nexos.chat.IMessagingListener;
import android.aidl.nexos.chat.IIsComposingListener;
import android.aidl.nexos.INexosResult;
import nexos.Uri;

interface IGroupChatService {

	void addGroupChatListener(in IGroupChatListener listener);

	void removeGroupChatListener(in IGroupChatListener listener);

	void addMessagingListener(in IMessagingListener listener);

    void removeMessagingListener(in IMessagingListener listener);

    void addIsComposingListener(in IIsComposingListener listener);

    void removeIsComposingListener(in IIsComposingListener listener);

	String createGroupChat(in String[] initialParticipants, String subject, String groupPictureFilepath);

	String sendMessage(long conversationId, String contribId, String body);

	void addParticipants(long conversationId, in String[] uris);

	void acceptGroupChat(String contribId);

	void rejectGroupChat(String contribId);

	void leaveGroupChat(long conversationId);

	void setLocalIsComposing(String contribId, boolean isTyping);

	nexos.Uri[] getComposingUris(String contribId);

    boolean isLocallyComposing(String contribId);

    boolean retrySending(String msgId, String contribId);
}