// Include your fully-qualified package statement.
package android.aidl.nexos.media;

import android.aidl.nexos.media.IMediaRTMPConnectionListener;

// Declare the interface.
interface IMediaRTMPConnection {

	/**
	 * Starts playback of the video stream.
	 *
	 * @param live
	 *            TRUE to play the live (real-time) stream, FALSE for the
	 *            recorded version
	 * @param playAudio
	 *            TRUE to play audio
	 */
	void play(boolean live, boolean playAudio);

	/**
	 * Starts publishing video to the streaming server.
	 * 
	 * @param publishAudio
	 *            TRUE to publish audio
	 */
	void publish(boolean publishAudio);

	/**
	 * Closes the connection to the RTMP server.
	 */
	void close();

	/**
	 * Sets the listener notified when stream starts playing/publishing.
	 */
	void setListener(IMediaRTMPConnectionListener listener);
}