// Include your fully-qualified package statement.
package android.aidl.nexos.media;

import android.aidl.nexos.media.IMediaRTMPConnection;

// Declare the interface.
interface IMediaRTMPConnectionListener {

	/**
	 * Invoked when the playback of an RTMP stream has started.
	 */
	void onPlaybackStarted(IMediaRTMPConnection conn);

	/**
	 * Invoked when the playback of an RTMP stream has stopped.
	 */
	void onPlaybackStopped(IMediaRTMPConnection conn);

	/**
	 * Invoked when the playback of an RTMP stream has failed.
	 */
	void onPlaybackFailed(IMediaRTMPConnection conn, int reason);

	/**
	 * Invoked when publishing an RTMP stream has started.
	 */
	void onPublishStarted(IMediaRTMPConnection conn);

	/**
	 * Invoked when publishing an RTMP stream has failed.
	 */
	void onPublishFailed(IMediaRTMPConnection conn);

	/**
	 * Invoked when the number of people watching the stream has changed.
	 * 
	 * @param conn
	 *            the RTMP connection
	 * @param watcherCount
	 *            the number of people watching the stream
	 */
	void onWatcherCount(IMediaRTMPConnection conn, int watcherCount);
}