package android.aidl.nexos.media;

import android.os.ParcelFileDescriptor;

interface IVideoFrameHandler {

	/**
	 * Invoked when the video size and format is known.
	 */
	void init(int length, int width, int height, String format);
		
	/**
	 * Invoke when a memory file has been setup at the specified file
	 * descriptor.
	 * @param length the length in bytes of the video frames
	 */
	void setMemfile(in ParcelFileDescriptor pfd, int length);
	void setMemfileBySharedMemory(in SharedMemory sharedMemory);

	/**
	 * Invoked when a frame is ready.
	 */
	boolean onVideoFrameReady(boolean isRotationAware, int rotation, int isFrontCam);
	
	/**
	 * Invoked when a frame is ready.
	 */
	boolean onVideoFrame(in byte[] frame, boolean isRotationAware, int rotation, int isFrontCam);
	
	/**
	 * Invoked when recording the video is over.
	 */
	void release();
}