
// Include your fully-qualified package statement.
package android.aidl.nexos.mmtel;

import android.aidl.nexos.mmtel.IMMTelSession;

// Declare the interface.
interface IVideoCallSessionListener {
		
	/**
	 * Invoked when a video share offer has been received.
	 */
	void onVideoOffered(String sessionId);
	
	/**
	 * Invoked when the video media has been removed from the session.
	 */
	void onVideoRemoved(String sessionId);
	
	/**
	 * Invoked when a video offer has been rejected by the remote user.
	 */
	void onVideoRejected(String sessionId);
	
	/**
	 * Invoked when a video offer has been accepted by the remote user.
	 */
	void onVideoAccepted(String sessionId);

   	void onVideoAdded(String sessionId);

	void onVideoCallHealthChanged(String sessionId, int callHealth);
}