package android.aidl.nexos.provisioning;

import nexos.EmergencyAddress;

interface IProvisioningListener {

    void onProvisioningSucceeded(String nexosClientId);

    void onProvisioningFailed(String nexosClientId, int reason, String title, String message);

	void onProvisioningStepChanged(String nexosClientId, int provisioningStep);

	void onChangedEmergencyAddress(String nexosClientId, String houseNumber, String road, String city, String state, String zip,
                                       String country, String location);

    void onChangeEmergencyAddressFailed(String nexosClientId, int errorCode, String errorMessage);

    void onAlternateEmergencyAddresses(String nexosClientId, in EmergencyAddress[] addresses);

    void onQueriedEmergencyAddress(String nexosClientId, String houseNumber, String road, String city, String state, String zip,
                                   String country, String location);

    void onQueryEmergencyAddressFailed(String nexosClientId, int errorCode, String errorMessage);

    void onEmergencyAddressNeeded(String nexosClientId, int errorCode, String errorMsg);
}