package android.aidl.nexos.session;

import com.summit.sharedsession.model.SketchDirective;
import com.summit.sharedsession.model.SessionInfo;
import android.aidl.nexos.session.ISharedSessionListener;

interface ISharedSessionService{

    String createSession(String remoteUri, int sessionType);

        boolean acceptSession(String sessionId);

        void rejectSession(String sessionId);

        void leaveSession(String sessionId);

        void addListener(in ISharedSessionListener listener);

        void removeListener(in ISharedSessionListener listener);

        boolean sendDirective(String sessionId, in SketchDirective directive);

        boolean canUndoDirective(String sessionId);

        List<SketchDirective> getDirectives(String sessionId);

        void leaveAllSessions();

        SessionInfo getIncomingSession();

        SessionInfo getActiveSession();

        SessionInfo getSessionWithId(String sessionId);
}