
// Include your fully-qualified package statement.
package android.aidl.nexos.uce;

import android.aidl.nexos.uce.IUCEListener;
import nexos.UriCaps;
import nexos.Uri;

// Declare the interface.
interface IUCEService {

	nexos.UriCaps getMyselfUriCaps();

	void addUCEListener(IUCEListener listener);
	void removeUCEListener(IUCEListener listener);
	
	void discoverServiceCaps(in nexos.Uri uri);
	void discoverServiceCapsWithForce(in nexos.Uri uri, boolean force);
	
	nexos.UriCaps getCachedCapabilities(in nexos.Uri uri);

	nexos.UriCaps[] getCachedCapabilitiesList(in nexos.Uri[] uris);

	nexos.Uri[] getCapableUris(long serviceMask);

	String[] getUidsWithCaps(int capability);

    int getVideoCallingServiceState(inout nexos.Uri uri);

    boolean isPollingDiscovery();

    int getRemainingContactToPollDiscovery();
}