// IVoicemailService.aidl
package android.aidl.nexos.voicemail;
import nexos.voicemail.VoicemailEntry;
import nexos.voicemail.VoicemailGreeting;
import nexos.voicemail.VoicemailAttachment;
import android.aidl.nexos.voicemail.IVisualVoicemailListener;
import android.aidl.nexos.voicemail.IUnseenVoicemailListener;
import java.util.Map;

// Declare any non-default types here with import statements

interface IVoicemailService {

    List<VoicemailEntry> getVisualVoicemails();

    List<VoicemailGreeting> getVisualVoicemailGreetings();
    boolean setNewVisualVoicemailGreetingActive(String greetingType,in Map greetingMap, boolean deleteGreetingsOfSameTypeFlag);
    boolean setExistingVisualVoicemailGreetingActive(String voicemailGreetingId);
    boolean deleteVisualVoicemailGreeting(in VoicemailGreeting voicemailGreeting);

    VoicemailAttachment getVisualVoicemailAttachment(String id);

    boolean isVisualVoicemailProvisioned();
    int getUnseenVisualVoicemailsCount();

    boolean deleteVisualVoicemail(in String id);
    boolean markVisualVoicemailSeen(String id);

    String getVisualVoicemailConfig(in String configKey, in String defaultValue);
    int getVisualVoicemailIntConfig(in String configKey, in int defaultValue);
    long getVisualVoicemailServerUsage(in String usageKey);

    void addVisualVoicemailListener(in IVisualVoicemailListener listener);
    void removeVisualVoicemailListener(in IVisualVoicemailListener listener);

    void addUnseenVoicemailListener(in IUnseenVoicemailListener listener);
    void removeUnseenVoicemailListener(in IUnseenVoicemailListener listener);

    void sendVisualVoicemailStatusMessage();
    boolean syncVisualVoicemailMessages();
}
