package nexos.monitoring;

import nexos.service.StartupStatus;
import nexos.service.ProvisioningStatus;
import nexos.service.RegistrationStatus;

// Declare the interface.
interface Monitoring {
	Map getSettings();
	void set(String name, String value);
	List<String> getNetworkConfigNames();
	String getDefaultNetworkConfig();
	void setDefaultNetworkConfig(String configIndex);
	
	int getServiceState();
	int getServiceFault(String nexosClientId);
	String getServiceFaultInfo(String nexosClientId);
	StartupStatus getStartupStatus();
    RegistrationStatus getRegistrationStatus(String nexosClientId);
    ProvisioningStatus getProvisioningStatus(String nexosClientId);
	
	String getNativeBuildSignature();
	
	boolean triggerProvisioning();
	boolean triggerRegistration();
	boolean triggerUnregistration();
		
	String getSettingDescription(String name);
	void shutdown();
	String getSetting(String name);
	
	//void resumeSignIn(int flag, boolean agreed);
	
	void acceptEndUserMessage(String nexosClientId, String msgId, String pin);
	void rejectEndUserMessage(String nexosClientId, String msgId);
	
	void responseEndUserConfirmation(String nexosClientId, String id, int responseType, String pin);
	
	boolean expireAcsData(String nexosClientId);

	String getCurrentNexosClientId();
}